(function () {
	tinymce.create('tinymce.plugins.CBEdiotorExtension', {
		/**
		 * Initializes the plugin, this will be executed after the plugin has been created.
		 * This call is done before the editor instance has finished it's initialization so use the onInit event
		 * of the editor instance to intercept that event.
		 *
		 * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
		 * @param {string} url Absolute URL to where the plugin is located.
		 */
		init: function (ed, url) {
			ed.addButton('cb_line_height', {
				title: 'Line Height',
				type: 'splitbutton',
				//cmd: 'cb_line_height',
				image: url + '/text_editor_line_height.png',
				onclick: function () {},
				menu: [{text:'1.0',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.0;">'+selected_text+'</span>');}},{text:'1.1',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.1;">'+selected_text+'</span>');}},{text:'1.2',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.2;">'+selected_text+'</span>');}},{text:'1.3',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.3;">'+selected_text+'</span>');}},{text:'1.4',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.4;">'+selected_text+'</span>');}},{text:'1.5',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.5;">'+selected_text+'</span>');}},{text:'1.6',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.6;">'+selected_text+'</span>');}},{text:'1.7',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.7;">'+selected_text+'</span>');}},{text:'1.8',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.8;">'+selected_text+'</span>');}},{text:'1.9',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 1.9;">'+selected_text+'</span>');}},{text:'2.0',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.0;">'+selected_text+'</span>');}},{text:'2.1',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.1;">'+selected_text+'</span>');}},{text:'2.2',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.2;">'+selected_text+'</span>');}},{text:'2.3',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.3;">'+selected_text+'</span>');}},{text:'2.4',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.4;">'+selected_text+'</span>');}},{text:'2.5',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.5;">'+selected_text+'</span>');}},{text:'2.6',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.6;">'+selected_text+'</span>');}},{text:'2.7',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.7;">'+selected_text+'</span>');}},{text:'2.8',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.8;">'+selected_text+'</span>');}},{text:'2.9',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 2.9;">'+selected_text+'</span>');}},{text:'3.0',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 3.0;">'+selected_text+'</span>');}},{text:'3.5',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 3.5;">'+selected_text+'</span>');}},{text:'4.0',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 4.0;">'+selected_text+'</span>');}},{text:'4.5',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 4.5;">'+selected_text+'</span>');}},{text:'5.0',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="line-height: 5.0;">'+selected_text+'</span>');}}]
			});

			ed.addButton('cb_letter_spacing', {
				title: 'Letter Spacing',
				type: 'splitbutton',
				//cmd: 'cb_letter_spacing',
				image: url + '/text_editor_letter_spacing.png',
				menu: [{text:'1px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 1px;">'+selected_text+'</span>');}},{text:'2px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 2px;">'+selected_text+'</span>');}},{text:'3px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 3px;">'+selected_text+'</span>');}},{text:'4px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 4px;">'+selected_text+'</span>');}},{text:'5px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 5px;">'+selected_text+'</span>');}},{text:'6px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 6px;">'+selected_text+'</span>');}},{text:'7px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 7px;">'+selected_text+'</span>');}},{text:'8px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 8px;">'+selected_text+'</span>');}},{text:'9px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 9px;">'+selected_text+'</span>');}},{text:'10px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 10px;">'+selected_text+'</span>');}},{text:'11px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 11px;">'+selected_text+'</span>');}},{text:'12px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 12px;">'+selected_text+'</span>');}},{text:'13px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 13px;">'+selected_text+'</span>');}},{text:'14px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 14px;">'+selected_text+'</span>');}},{text:'15px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="letter-spacing: 15px;">'+selected_text+'</span>');}},]
			});

			ed.addButton('cb_mobile_size', {
				title: 'Mobile Size',
				type: 'splitbutton',
				image: url + '/text_editor_font_size_mobile.png',
				menu: [{text:'4px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 4px;">'+selected_text+'</span>');}},{text:'6px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 6px;">'+selected_text+'</span>');}},{text:'8px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 8px;">'+selected_text+'</span>');}},{text:'9px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 9px;">'+selected_text+'</span>');}},{text:'10px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 10px;">'+selected_text+'</span>');}},{text:'11px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 11px;">'+selected_text+'</span>');}},{text:'12px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 12px;">'+selected_text+'</span>');}},{text:'13px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 13px;">'+selected_text+'</span>');}},{text:'14px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 14px;">'+selected_text+'</span>');}},{text:'15px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 15px;">'+selected_text+'</span>');}},{text:'16px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 16px;">'+selected_text+'</span>');}},{text:'17px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 17px;">'+selected_text+'</span>');}},{text:'18px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 18px;">'+selected_text+'</span>');}},{text:'20px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 20px;">'+selected_text+'</span>');}},{text:'22px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 22px;">'+selected_text+'</span>');}},{text:'24px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 24px;">'+selected_text+'</span>');}},{text:'26px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 26px;">'+selected_text+'</span>');}},{text:'28px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 28px;">'+selected_text+'</span>');}},{text:'30px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 30px;">'+selected_text+'</span>');}},{text:'32px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 32px;">'+selected_text+'</span>');}},{text:'34px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 34px;">'+selected_text+'</span>');}},{text:'36px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 36px;">'+selected_text+'</span>');}},{text:'38px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 38px;">'+selected_text+'</span>');}},{text:'40px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 40px;">'+selected_text+'</span>');}},{text:'42px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 42px;">'+selected_text+'</span>');}},{text:'44px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 44px;">'+selected_text+'</span>');}},{text:'46px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 46px;">'+selected_text+'</span>');}},{text:'48px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 48px;">'+selected_text+'</span>');}},{text:'50px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 50px;">'+selected_text+'</span>');}},{text:'52px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 52px;">'+selected_text+'</span>');}},{text:'54px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 54px;">'+selected_text+'</span>');}},{text:'56px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 56px;">'+selected_text+'</span>');}},{text:'58px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 58px;">'+selected_text+'</span>');}},{text:'60px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 60px;">'+selected_text+'</span>');}},{text:'72px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 72px;">'+selected_text+'</span>');}},{text:'84px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 84px;">'+selected_text+'</span>');}},{text:'96px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="--font-size-m: 96px;">'+selected_text+'</span>');}}]
			});

			ed.addButton('cb_font_size', {
				title: 'Font Size',
				type: 'splitbutton',
				image: url + '/text_editor_font_size.png',
				menu:[{text:'8px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 8px;">'+selected_text+'</span>');}},{text:'9px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 9px;">'+selected_text+'</span>');}},{text:'10px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 10px;">'+selected_text+'</span>');}},{text:'11px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 11px;">'+selected_text+'</span>');}},{text:'12px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 12px;">'+selected_text+'</span>');}},{text:'13px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 13px;">'+selected_text+'</span>');}},{text:'14px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 14px;">'+selected_text+'</span>');}},{text:'15px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 15px;">'+selected_text+'</span>');}},{text:'16px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 16px;">'+selected_text+'</span>');}},{text:'17px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 17px;">'+selected_text+'</span>');}},{text:'18px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 18px;">'+selected_text+'</span>');}},{text:'20px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 20px;">'+selected_text+'</span>');}},{text:'22px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 22px;">'+selected_text+'</span>');}},{text:'24px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 24px;">'+selected_text+'</span>');}},{text:'26px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 26px;">'+selected_text+'</span>');}},{text:'28px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 28px;">'+selected_text+'</span>');}},{text:'30px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 30px;">'+selected_text+'</span>');}},{text:'32px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 32px;">'+selected_text+'</span>');}},{text:'34px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 34px;">'+selected_text+'</span>');}},{text:'36px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 36px;">'+selected_text+'</span>');}},{text:'38px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 38px;">'+selected_text+'</span>');}},{text:'40px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 40px;">'+selected_text+'</span>');}},{text:'42px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 42px;">'+selected_text+'</span>');}},{text:'44px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 44px;">'+selected_text+'</span>');}},{text:'46px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 46px;">'+selected_text+'</span>');}},{text:'48px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 48px;">'+selected_text+'</span>');}},{text:'50px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 50px;">'+selected_text+'</span>');}},{text:'52px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 52px;">'+selected_text+'</span>');}},{text:'54px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 54px;">'+selected_text+'</span>');}},{text:'56px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 56px;">'+selected_text+'</span>');}},{text:'58px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 58px;">'+selected_text+'</span>');}},{text:'60px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 60px;">'+selected_text+'</span>');}},{text:'72px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 72px;">'+selected_text+'</span>');}},{text:'84px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 84px;">'+selected_text+'</span>');}},{text:'96px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 96px;">'+selected_text+'</span>');}},{text:'120px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 120px;">'+selected_text+'</span>');}},{text:'144px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 144px;">'+selected_text+'</span>');}},{text:'168px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 168px;">'+selected_text+'</span>');}},{text:'192px',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 192px;">'+selected_text+'</span>');}},{text:'1vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 1vw;">'+selected_text+'</span>');}},{text:'1.2vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 1.2vw;">'+selected_text+'</span>');}},{text:'1.4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 1.4vw;">'+selected_text+'</span>');}},{text:'1.6vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 1.6vw;">'+selected_text+'</span>');}},{text:'1.8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 1.8vw;">'+selected_text+'</span>');}},{text:'2vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 2vw;">'+selected_text+'</span>');}},{text:'2.2vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 2.2vw;">'+selected_text+'</span>');}},{text:'2.4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 2.4vw;">'+selected_text+'</span>');}},{text:'2.6vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 2.6vw;">'+selected_text+'</span>');}},{text:'2.8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 2.8vw;">'+selected_text+'</span>');}},{text:'3vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 3vw;">'+selected_text+'</span>');}},{text:'3.4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 3.4vw;">'+selected_text+'</span>');}},{text:'3.8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 3.8vw;">'+selected_text+'</span>');}},{text:'4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 4vw;">'+selected_text+'</span>');}},{text:'4.4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 4.4vw;">'+selected_text+'</span>');}},{text:'4.8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 4.8vw;">'+selected_text+'</span>');}},{text:'5vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 5vw;">'+selected_text+'</span>');}},{text:'5.4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 5.4vw;">'+selected_text+'</span>');}},{text:'5.8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 5.8vw;">'+selected_text+'</span>');}},{text:'6vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 6vw;">'+selected_text+'</span>');}},{text:'6.4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 6.4vw;">'+selected_text+'</span>');}},{text:'6.8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 6.8vw;">'+selected_text+'</span>');}},{text:'7vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 7vw;">'+selected_text+'</span>');}},{text:'7.4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 7.4vw;">'+selected_text+'</span>');}},{text:'7.8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 168px;">'+selected_text+'</span>');}},{text:'8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 8vw;">'+selected_text+'</span>');}},{text:'8.4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 8.4vw;">'+selected_text+'</span>');}},{text:'8.8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 8.8vw;">'+selected_text+'</span>');}},{text:'9vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 9vw;">'+selected_text+'</span>');}},{text:'9.4vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 9.4vw;">'+selected_text+'</span>');}},{text:'9.8vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 9.8vw;">'+selected_text+'</span>');}},{text:'10vw',onclick:function(){var selected_text=ed.selection.getContent();ed.execCommand('mceInsertContent',0,'<span style="font-size: 10vw;">'+selected_text+'</span>');}}]
			});
			
			ed.addButton('cb_source_code', {
				title: 'Source code',
				icon: 'code',
				onclick: function () {
					var global$1 = tinymce.util.Tools.resolve('tinymce.dom.DOMUtils');
					var minWidth = ed.getParam('code_dialog_width', 600);
					var minHeight = ed.getParam('code_dialog_height', Math.min(global$1.DOM.getViewPort().h - 200, 500));
					var win = ed.windowManager.open({
						title: 'Source code',
						body: {
							type: 'textbox',
							name: 'cb_source_code',
							multiline: true,
							minWidth: minWidth,
							minHeight: minHeight,
							spellcheck: false,
							style: 'direction: ltr; text-align: left'
						},
						onSubmit: function (e) {
							ed.focus();
							ed.undoManager.transact(function () {
								ed.setContent(e.data.cb_source_code);
							});
							ed.selection.setCursorLocation();
							ed.nodeChanged();
						}
					});
					win.find('#cb_source_code').value(ed.getContent({
						source_view: true
					}));
				}
			});
		},

		/**
		 * Creates control instances based in the incomming name. This method is normally not
		 * needed since the addButton method of the tinymce.Editor class is a more easy way of adding buttons
		 * but you sometimes need to create more complex controls like listboxes, split buttons etc then this
		 * method can be used to create those.
		 *
		 * @param {String} n Name of the control to create.
		 * @param {tinymce.ControlManager} cm Control manager to use inorder to create new control.
		 * @return {tinymce.ui.Control} New control instance or null if no control was created.
		 */
		createControl: function (n, cm) {

		},

		/**
		 * Returns information about the plugin as a name/value array.
		 * The current keys are longname, author, authorurl, infourl and version.
		 *
		 * @return {Object} Name/value array containing information about the plugin.
		 */
		getInfo: function () {
			return null;
		}
	});

	// Register plugin
	tinymce.PluginManager.add('cb_editor_extension', tinymce.plugins.CBEdiotorExtension);
})();