<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * UX Content Builder Module field gallery.
 */
if ( ! function_exists( 'ux_cb_module_field_gallery' ) ) {
	function ux_cb_module_field_gallery( $item, $post_id, $item_val, $get_val, $module_id=false ) {
		if ( $item['type'] == 'gallery' ) {
			
			echo '<button type="button" class="ux-cb-module-field-gallery-button" data-gallery-name="' .esc_attr( $item['name'] ). '">' .esc_html__( 'Select Images', 'bm-builder' ). '</button>';
			
			do_action( 'ux_cb_module_field_gallery_quick_creating' );
			
			echo '<div class="ux-cb-module-field-gallery-lists">';
			if ( is_array( $item_val ) && $module_id != 'masonry-grid' ) {
				foreach ( $item_val as $image ) {
					$thumbnail = wp_get_attachment_image_src( $image, 'thumbnail' );
					echo '<div class="gallery-item">';
					echo   '<button type="button" class="gallery-button-remove"><span class="dashicons dashicons-no-alt"></span></button>';
					echo   '<a href="#" class="thumbnail"><img src="' .esc_url( $thumbnail[0] ). '" /></a>';
					echo   '<input type="hidden" name="' .esc_attr( $item['name'] ). '" value="' .esc_attr( $image ). '" />';
					echo '</div>';
				}
			}
            echo '</div>';
		}
	}
	add_action( 'ux_cb_module_fields_field', 'ux_cb_module_field_gallery', 10, 5 );
}

/**
 * UX Content Builder Module field gallery quick creating.
 */
if ( ! function_exists( 'ux_cb_module_field_gallery_quick_creating' ) ) {
	function ux_cb_module_field_gallery_quick_creating() {
		echo '<ul class="ux-cb-module-field-gallery-quick-creating">';
		echo   '<li>' .esc_html__( 'Quick Creating', 'bm-builder' ). '</li>';
		
		$quickCreatingFile = ux_cb_path_dir( 'AUTOLOAD_DIR', 'quickCreating.json' );
		if ( is_file( $quickCreatingFile ) ) {
			ob_start();
			require $quickCreatingFile;
			$data = ob_get_clean();
			
			if ( $data ) {
				$quickCreating = (array) json_decode( $data, true ); 
				$quickCreating = apply_filters( 'ux_cb_autoload_gallery_quick_creating_list', $quickCreating );
				
				foreach ( $quickCreating as $name => $gridstack ) {
					echo '<li class="has-gs">';
					echo   '<div class="grid-stack" data-col="12" data-spacing="1">';
					
					foreach ( $gridstack as $gridItem ) {
						echo '<div class="grid-stack-item" data-gs-x="' .esc_attr( $gridItem['x'] ). '" data-gs-y="' .esc_attr( $gridItem['y'] ). '" data-gs-width="' .esc_attr( $gridItem['width'] ). '" data-gs-height="' .esc_attr( $gridItem['height'] ). '">';
						echo   '<div class="grid-stack-item-content"></div>';
						echo '</div>';
					}
					
					echo   '</div>';
					echo '</li>';
				}
			}
			
		}
		
		echo '</ul>';
	}
	add_action( 'ux_cb_module_field_gallery_quick_creating', 'ux_cb_module_field_gallery_quick_creating' );
}

?>