<div id="ux-option-interface-about" class="wrap ux-option-about">
    <div class="icon32" id="icon-themes"><br></div>
    <h3 class="ux-option-title"><?php esc_html_e( 'Welcome to SEA', 'sea-theme' ); ?></h3>
	<div class="ux-option-des">
		<?php esc_html_e( 'SEA theme is now installed and ready to use with your WordPress site.', 'sea-theme' ); ?>
		<?php 
		$seaGetData = wp_get_theme(get_template()); 
		$seaGetDataVer = $seaGetData->get( 'Version' );
		?>
		<div class="ux-option-version">
			<span class="ux-option-version-icon"></span>
			<?php esc_html_e( 'Version: ', 'sea-theme' ); echo esc_html( $seaGetDataVer ); ?>
		</div>
	</div>
	
	<div class="ux-theme-box">
		<div class="ux-theme-tabs tabs-horizontal">
			<ul class="nav nav-tabs">
				<li class="active">
					<a href="#content-about" data-toggle="tab"><?php esc_html_e( 'What’s New', 'sea-theme' ); ?></a>
				</li>
				<li>
					<a href="<?php echo admin_url( 'admin.php?page=theme-option-help' ); ?>" data-toggle="tab" data-target="open"><?php esc_html_e( 'Help', 'sea-theme' ); ?></a>
				</li>
			</ul>

			<div class="tab-content">
				<div id="content-about" class="tab-pane active">
					<div class="theme-option-field-region">
						<?php
						$activeSwitch = false;
						if ( ! $UxThemeActivated = get_option( 'UxThemeActivated' ) ) {
							update_option( 'UxThemeActivated', 1 );
							$activeSwitch = true;
						}
						
						if ( $activeSwitch ) { ?>
							<div class="active-tips">
								<h3 class="">Thanks for choosing SEA theme!</h3>
								<p>Here are the first steps to setup the theme:</p>
								<ol>
									<li>Install and activate <strong>BM Content Builder</strong> by <a href="<?php echo admin_url( 'admin.php?page=tgmpa-install-plugins' ); ?>">clicking here</a></li>
									<li><a href="<?php echo admin_url( 'admin.php?page=ux-cb-tools' ); ?>"><strong>Import demo data</strong></a> (requires BM Content Builder activated)</li>
									<li>Configure <a href="<?php echo admin_url( 'admin.php?page=theme-option' ); ?>"><strong>theme options</strong></a> (logo, color, social, and etc)</li>
									<li>Refer to our theme <a href="https://doc.seatheme.net/theme/sea/" target="_blank" rel="noopener noreferrer">documentation</a> and learn how to setup SEA (recommended)</li>
								</ol>
							</div>
						<?php } ?>
						
						<div class="what-is-new">
							<h3><?php esc_html_e( 'What’s New?', 'sea-theme' ); ?></h3>
							<div>
								<?php esc_html_e( 'Version: ', 'sea-theme' ); echo esc_html( $seaGetDataVer ); ?> -  Mar, 2021
							</div>
							<ul class="whatsnew-list">
								<li class="whatsnew-list-li" style="width:100%;">
									<div class="whatsnew-list-li-inn">
										<h4 style="font-size:1.8vw;">BM Content Builder is udpated to version 3.8.0, dozen new options are added now:</h4><br>
										<h5>Add Split Line options for each normal modules</h5>
										<p class="whatnewimage">
											You could define the horizontal Split Line for modules(except for Group).<br>
											Options: Line Color, Border Width, Spacing, Upper/Lower dividing Line<br>
											<br>
											<img style="margin-top:6px;margin-bottom:6px; max-width:500px; border:1px solid #eee" src="<?php echo esc_url(SEA_THEME).'/images/about/about-new-feature-dividing.png'?>"><br>
										</p>
											
									</div>
								</li>
								<li class="whatsnew-list-li" style="width:100%;">
									<div class="whatsnew-list-li-inn">
										<h5>Add "Move out from Group" icon</h5>
										<p class="whatnewimage">
											On the modules within a Group module, add a icon on the toolbar.<br>
											The module self would be moved out from the group.<br>
											<br>
											<img style="margin-top:6px;margin-bottom:6px; max-width:300px; border:1px solid #eee" src="<?php echo esc_url(SEA_THEME).'/images/about/about-new-feature-moveout-group.png'?>"><br>
											
										</p>
											
									</div>
								</li> 
								 
								<li class="whatsnew-list-li" style="width:100%;">
									<div class="whatsnew-list-li-inn">
										<h5>Other new features:</h5>
										<div class="whatsnew-list-li-des">
											<ul style="list-style: circle;padding-left: 20px;"> 
												<li>[add] Hide Superscript Number options (for Filter of the Grid/Masonry Grid modules)</li> 
												<li>[add] Sticky option for the Group module</li> 
												<li>[add] Auto-Hiding options for the Slider module(Style 1)</li> 
												<li>[add] Show Scroll-Down-Icon option for the Group/Slider modules</li>
												<li>[add] Enable Mousewheel option for the Slider(Style 1/3) module</li>
												<li>[add] New page number style option for the Slider(Style 1) module</li>
												<li>[add] Show Title on Mouseover for the Post-Navi module</li>
												<li>[improve] The "All" text for the Filter could be replaced in theme options</li>
											</ul>
										</div>
									</div>
								</li> 
								
							</ul>

							<p style="text-align:center;"><a class="ux-doc-link" href="https://seatheme.net/forums/topic/sea-wordpress-theme-update-log/">Check All Changelog</a></p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>