<?php
 
//Function theme custom css
function seatheme_theme_custom_css_ce(){
	$custom_css = '';

//Container 
	$seatheme_wrap_width_style = esc_attr(seatheme_get_option('theme_option_main_width_style')) ? esc_attr(seatheme_get_option('theme_option_main_width_style')) : 'container';
	$seatheme_wrap_main_width = esc_attr(seatheme_get_option('theme_option_main_width')) ? esc_attr(seatheme_get_option('theme_option_main_width')) : '1170';
	$seatheme_wrap_fluid_padding = esc_attr(seatheme_get_option('theme_option_main_padding')) ? esc_attr(seatheme_get_option('theme_option_main_padding')) : '60';
	if($seatheme_wrap_width_style == 'container' && $seatheme_wrap_main_width) {
		$custom_css .= '
@media (min-width: 1200px){
.container.ux-cb-customize-preview-container .bm-builder,
.container.ux-cb-customize-preview-container .bm-builder .col-0.item[data-module-id="group"] > .module-inside > .module-content:not(.bm-force-full) { width: '.esc_attr($seatheme_wrap_main_width).'px;}
.container.ux-cb-customize-preview-container .bm-builder .col-0.item[data-module-id="group"] > .module-inside > .module-content:not(.bm-force-full) { padding-left:10px; padding-right:10px;}
}'; 
	}
	if($seatheme_wrap_width_style == 'container-fluid') {
	//$custom_css .= 'div.item:not(.col-0)[data-module-id="group"] > .module-inside {margin-left: 10px; margin-right: 10px;}';
		if($seatheme_wrap_fluid_padding) {
		$custom_css .= '
@media (min-width: 1200px){
.container-fluid.ux-cb-customize-preview-container .bm-builder .item[data-module-id="group"].col-0 > .module-inside > .module-content:not(.bm-force-full),
.ux-cb-customize-preview-container.container-fluid,
.container-fluid.ux-cb-customize-preview-container .bm-builder .item.col-0.item[data-module-id="group"] > .module-inside > .module-content:not(.bm-force-full),
.container-fluid.ux-cb-customize-preview-container .bm-builder .item.col-0:not([data-module-id="group"])> .module-inside > .module-content:not(.bm-force-full) .filters-ul { padding-left: '.esc_attr($seatheme_wrap_fluid_padding).'px;padding-right: '.esc_attr($seatheme_wrap_fluid_padding).'px;}
}'; 
		}
	}

//BG Colour
	$seatheme_color_page_bg = seatheme_get_option('theme_option_bg_page_post') ? esc_attr(seatheme_get_option('theme_option_bg_page_post')) : '#fff';
	if($seatheme_color_page_bg) {
		$custom_css .= '
.ux-cb-customize-preview-container {background-color: '.esc_attr($seatheme_color_page_bg).';}
';
	}

//Colour
	//Highlight Color
	$seatheme_color_theme_main = seatheme_get_option('theme_option_color_theme_main') ? esc_attr(seatheme_get_option('theme_option_color_theme_main')) : '#5179FC';
	if($seatheme_color_theme_main){
		$custom_css .= '
span.onsale, .woocommerce span.onsale, .woocommerce-page span.onsale,.woocomerce-cart-number {
	background-color: '.esc_attr($seatheme_color_theme_main).';
}';
	}
 
	// Auxiliary Color
	$seatheme_color_second_auxiliary = seatheme_get_option('theme_option_color_second_auxiliary') ? esc_attr(seatheme_get_option('theme_option_color_second_auxiliary')) : '#f8f8f8';
	if($seatheme_color_second_auxiliary){   
		$custom_css .= '
.blog-unit-link-li,.audio-unit { 
	background-color: '.esc_attr($seatheme_color_second_auxiliary).'; 
}
		';
	}
	
	// Title color 
	$seatheme_color_heading = seatheme_get_option('theme_option_color_heading') ? esc_attr(seatheme_get_option('theme_option_color_heading')) : '#313139';
	if($seatheme_color_heading){
		$custom_css .= '
.text_block h1,.text_block h2,.text_block h3,.text_block h4,.text_block h5,.text_block h6 { 
	color:'.esc_attr($seatheme_color_heading).'; 
}';
	}

	// Content text Color 
	$seatheme_color_content = seatheme_get_option('theme_option_color_content_text') ? esc_attr(seatheme_get_option('theme_option_color_content_text')) : '#414145';
	if($seatheme_color_content){
		$custom_css .= '
.module-content .text_block,.filters-a,.ux-btn,.text_block a,.ux-summernote-wrap a, .note-editor.note-frame .note-editing-area .note-editable {
	color: '.esc_attr($seatheme_color_content).'; 
}
			
		';
	}

	// Content mouseover text Color 
	$seatheme_color_content_mouseover = seatheme_get_option('theme_option_color_content_hover_text') ? esc_attr(seatheme_get_option('theme_option_color_content_hover_text')) : '#414145';
	if($seatheme_color_content_mouseover){
		$custom_css .= '
.ux-summernote-wrap a:hover,.ux-summernote-wrap a:focus {
	color: '.esc_attr($seatheme_color_content_mouseover).'; 
}
			
		';
	}

	//Input text
	$seatheme_color_form = esc_attr(seatheme_get_option('theme_option_color_form'));
	if($seatheme_color_form){
		$custom_css .= '
body { --color-input-text:'.esc_attr($seatheme_color_form).'; }';
	}

//Fonts
	// Content
	//Post & page content font
	foreach(array('family','spacing','line_height') as $key){
		$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_content', $key, '.module-content .text_block,.ux-cb-module-content .note-editable p,.note-editable');
	}

	//Post & page content size
	$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_content', 'size', '.module-content .text_block,.module-content p,.ux-cb-module-content .note-editable p,.form-table td .note-editable.panel-body p');
	 
	 
	//Content Heading
	//Post & page content heading 1-6 font/size/spacing/mobile size
	$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading', 'family', '.text_block h1,.text_block h2,.text_block h3,.text_block h4,.text_block h5,.text_block h6,.wrap .text_block h1,.wrap .text_block h2,.wrap .text_block h3,.wrap .text_block h4,.wrap .text_block h5,.wrap .text_block h6,.ux-summernote #poststuff h1,.ux-summernote #poststuff h2,.ux-summernote #poststuff h3,.ux-summernote #poststuff h4,.ux-summernote #poststuff h5,.ux-summernote #poststuff h6');
	$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading', 'family', '.ux-summernote-wrap h1,.ux-summernote-wrap h2,.ux-summernote-wrap h3,.ux-summernote-wrap h4,.ux-summernote-wrap h5,.ux-summernote-wrap h6,#poststuff .ux-cb-module-fields-container h1,#poststuff .ux-cb-module-fields-container h2,#poststuff .ux-cb-module-fields-container h3,#poststuff .ux-cb-module-fields-container h4,#poststuff .ux-cb-module-fields-container h5,#poststuff .ux-cb-module-fields-container h6,.ux-cb-module-fields-container h1,.ux-cb-module-fields-container h2,.ux-cb-module-fields-container h3,.ux-cb-module-fields-container h4,.ux-cb-module-fields-container h5,.ux-cb-module-fields-container h6,#poststuff .text_block h1,#poststuff .text_block h2,#poststuff .text_block h3,#poststuff .text_block h4,#poststuff .text_block h5,#poststuff .text_block h6');	
	$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading', 'family', '.module-content h1, .module-content h2, .module-content h3, .module-content h4, .module-content h5, .module-content h6');
	for ($x=1; $x<=6; $x++) {
		foreach(array('size','spacing','line_height') as $key){
			$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading_' .$x, $key, '.text_block h' .$x);
			$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading_' .$x, $key, '.wrap .text_block h' .$x);
			$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading_' .$x, $key, '.ux-summernote #poststuff h' .$x);
			$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading_' .$x, $key, '.ux-summernote-wrap h' .$x);
			$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading_' .$x, $key, '#poststuff .ux-cb-module-fields-container h' .$x);
			$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading_' .$x, $key, '.ux-cb-module-fields-container h' .$x);
			$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading_' .$x, $key, '#poststuff .text_block h' .$x);
		}
	}

	// Button
	foreach(array('family','size','spacing') as $key){
		$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_button', $key, '.module-content button, .module-content input[type="submit"],.ux-btn');
	}

	// Form
	foreach(array('family','size') as $key){
		$custom_css .= seatheme_get_font_assignment('_ux_cb_module_fonts_form', $key, '.module textarea,.module input');
	}
	
return $custom_css;

 }?>